gtksourceviewmm 2.10.3

- Main Page
- Related Pages
- Modules
- Classes

Enumerations
gtksourceviewmm Enums and Flags

## Enumerations
enum | gtksourceview::SourceCompletionActivation { gtksourceview::SOURCE_COMPLETION_ACTIVATION_NONE = 0x0, gtksourceview::SOURCE_COMPLETION_ACTIVATION_INTERACTIVE = 1 << 0, gtksourceview::SOURCE_COMPLETION_ACTIVATION_USER_REQUESTED = 1 << 1 }
| An enum type specifying something bla bla bla, probably type of activation. More...
enum | gtksourceview::SearchFlags { gtksourceview::SEARCH_VISIBLE_ONLY = 1 << 0, gtksourceview::SEARCH_TEXT_ONLY = 1 << 1, gtksourceview::SEARCH_CASE_INSENSITIVE = 1 << 2 }
| Flags specifying how search has to be done. More...
enum | gtksourceview::SourceSearchFlags { gtksourceview::SOURCE_SEARCH_VISIBLE_ONLY = 1 << 0, gtksourceview::SOURCE_SEARCH_TEXT_ONLY = 1 << 1, gtksourceview::SOURCE_SEARCH_CASE_INSENSITIVE = 1 << 2 }
| Flags specifying how search has to be done. More...
enum | gtksourceview::SourceSmartHomeEndType { gtksourceview::SOURCE_SMART_HOME_END_DISABLED, gtksourceview::SOURCE_SMART_HOME_END_BEFORE, gtksourceview::SOURCE_SMART_HOME_END_AFTER, gtksourceview::SOURCE_SMART_HOME_END_ALWAYS }
| Defines a behaviour of smart Home/End keys. More...
enum | gtksourceview::SourceDrawSpacesFlags { gtksourceview::SOURCE_DRAW_SPACES_SPACE = 1 << 0, gtksourceview::SOURCE_DRAW_SPACES_TAB = 1 << 1, gtksourceview::SOURCE_DRAW_SPACES_NEWLINE = 1 << 2, gtksourceview::SOURCE_DRAW_SPACES_NBSP = 1 << 3 , gtksourceview::SOURCE_DRAW_SPACES_ALL = 0x7F }
| Determines what kind of whitespaces whould be drawn. More...

## Enumeration Type Documentation

enum gtksourceview::SearchFlags

Flags specifying how search has to be done.

Deprecated:
  Use SourceSearchFlags.

Bitwise operators:
  `SearchFlags operator|(SearchFlags, SearchFlags)`
  `SearchFlags operator&(SearchFlags, SearchFlags)`
  `SearchFlags operator^(SearchFlags, SearchFlags)`
  `SearchFlags operator~(SearchFlags)`
  `SearchFlags& operator|=(SearchFlags&, SearchFlags)`
  `SearchFlags& operator&=(SearchFlags&, SearchFlags)`
  `SearchFlags& operator^=(SearchFlags&, SearchFlags)`

Enumerator:

  SEARCH_VISIBLE_ONLY | No whitespaces?
  SEARCH_TEXT_ONLY | Text only?
  SEARCH_CASE_INSENSITIVE | Perform a case insensitive search.

enum gtksourceview::SourceCompletionActivation

An enum type specifying something bla bla bla, probably type of activation.

Since gtksourceviewmm 2.10:

Bitwise operators:
  `SourceCompletionActivation operator|(SourceCompletionActivation, SourceCompletionActivation)`
  `SourceCompletionActivation operator&(SourceCompletionActivation, SourceCompletionActivation)`
  `SourceCompletionActivation operator^(SourceCompletionActivation, SourceCompletionActivation)`
  `SourceCompletionActivation operator~(SourceCompletionActivation)`
  `SourceCompletionActivation& operator|=(SourceCompletionActivation&, SourceCompletionActivation)`
  `SourceCompletionActivation& operator&=(SourceCompletionActivation&, SourceCompletionActivation)`
  `SourceCompletionActivation& operator^=(SourceCompletionActivation&, SourceCompletionActivation)`

Enumerator:

  SOURCE_COMPLETION_ACTIVATION_NONE | None.
  SOURCE_COMPLETION_ACTIVATION_INTERACTIVE | Interactive activation.
  SOURCE_COMPLETION_ACTIVATION_USER_REQUESTED | User requested activation. For example through a keyboard accelerator from the view.

enum gtksourceview::SourceDrawSpacesFlags

Determines what kind of whitespaces whould be drawn.

Bitwise operators:
  `SourceDrawSpacesFlags operator|(SourceDrawSpacesFlags, SourceDrawSpacesFlags)`
  `SourceDrawSpacesFlags operator&(SourceDrawSpacesFlags, SourceDrawSpacesFlags)`
  `SourceDrawSpacesFlags operator^(SourceDrawSpacesFlags, SourceDrawSpacesFlags)`
  `SourceDrawSpacesFlags operator~(SourceDrawSpacesFlags)`
  `SourceDrawSpacesFlags& operator|=(SourceDrawSpacesFlags&, SourceDrawSpacesFlags)`
  `SourceDrawSpacesFlags& operator&=(SourceDrawSpacesFlags&, SourceDrawSpacesFlags)`
  `SourceDrawSpacesFlags& operator^=(SourceDrawSpacesFlags&, SourceDrawSpacesFlags)`

Enumerator:

  SOURCE_DRAW_SPACES_SPACE | Whether the space character should be drawn.
  SOURCE_DRAW_SPACES_TAB | Whether the tab character should be drawn.
  SOURCE_DRAW_SPACES_NEWLINE | Whether the line breaks should be drawn.
  SOURCE_DRAW_SPACES_NBSP | Whether the non-breaking whitespaces should be drawn.
  SOURCE_DRAW_SPACES_ALL | Wheter all kind of whitespaces should be drawn.

enum gtksourceview::SourceSearchFlags

Flags specifying how search has to be done.

Since gtksourceviewmm 2.10:

Bitwise operators:
  `SourceSearchFlags operator|(SourceSearchFlags, SourceSearchFlags)`
  `SourceSearchFlags operator&(SourceSearchFlags, SourceSearchFlags)`
  `SourceSearchFlags operator^(SourceSearchFlags, SourceSearchFlags)`
  `SourceSearchFlags operator~(SourceSearchFlags)`
  `SourceSearchFlags& operator|=(SourceSearchFlags&, SourceSearchFlags)`
  `SourceSearchFlags& operator&=(SourceSearchFlags&, SourceSearchFlags)`
  `SourceSearchFlags& operator^=(SourceSearchFlags&, SourceSearchFlags)`

Enumerator:

  SOURCE_SEARCH_VISIBLE_ONLY | No whitespaces?
  SOURCE_SEARCH_TEXT_ONLY | Text only?
  SOURCE_SEARCH_CASE_INSENSITIVE | Perform a case insensitive search.

enum gtksourceview::SourceSmartHomeEndType

Defines a behaviour of smart Home/End keys.

Enumerator:

  SOURCE_SMART_HOME_END_DISABLED | Smart-home-end disabled.
  SOURCE_SMART_HOME_END_BEFORE | Move to the first/last non-whitespace character on the first press of the HOME/END keys and to the beginning/end of the line on the second press.
  SOURCE_SMART_HOME_END_AFTER | Move to the beginning/end of the line on the first press of the HOME/END keys and to the first/last non-whitespace character on the second press.
  SOURCE_SMART_HOME_END_ALWAYS | Always move to the first/last non-whitespace character when the HOME/END keys are pressed.